<template>
  <section id="header">
    <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: #18181B">
      <a class="navbar-brand text-white" href>MyWebCV</a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto quick-links">
          <li class="nav-item">
            <a class="nav-link text-white text-center" href="/#/formation">Formation</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text-white text-center" href="#/competences">Compétences</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text-white text-center" href="#/xpPro">Expériences Pro.</a>
          </li>
          <li class="nav-item">
            <a
              class="nav-link text-white text-center"
              href="#/personCI"
            >Personnalité/Centres d'intérêts</a>
          </li>
        </ul>
      </div>
    </nav>
  </section>
</template>

<script>
export default {
  name: "Navbar"
};
</script>

<style>
#header a {
  color: #ffffff;
  text-decoration: none !important;
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}

#header ul.quick-links li {
  padding: 3px 0;
  -webkit-transition: 0.5s all ease;
  -moz-transition: 0.5s all ease;
  transition: 0.1s all ease;
}
#header ul.quick-links li:hover {
  font-weight: 700;
}
</style>
